import { AnnotationLayer } from "./AnnotationLayer";
import { Brush } from "igniteui-react-core";
import { Series } from "./Series";
import { Thickness } from "igniteui-react-core";
import { Visibility } from "igniteui-react-core";
import { CrosshairLayerFrame } from "./CrosshairLayerFrame";
import { List$1 } from "igniteui-react-core";
import { Pool$1 } from "igniteui-react-core";
import { Type } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { AnnotationAppearanceMode } from "./AnnotationAppearanceMode";
import { DoubleCollection } from "igniteui-react-core";
import { Path } from "igniteui-react-core";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class CrosshairLayer extends AnnotationLayer {
    static $t: Type;
    protected bi(): Series;
    protected get_ep(): boolean;
    protected get_en(): boolean;
    constructor();
    protected cq(): SeriesView;
    qw(a: SeriesView): void;
    protected zq: CrosshairLayerView;
    ab3: Brush;
    ab4: Brush;
    aah: string;
    gs(a: Series): boolean;
    zr: Series;
    zw: boolean;
    zu: boolean;
    xAxisAnnotationFormatLabel: (item: any) => string;
    zs(): boolean;
    yAxisAnnotationFormatLabel: (item: any) => string;
    zt(): boolean;
    ab7: Brush;
    ab5: Brush;
    zz: number;
    aab: number;
    ab6: Brush;
    get acd(): Thickness;
    z1: number;
    z3: number;
    z2: number;
    z0: number;
    get ace(): Thickness;
    z7: number;
    z9: number;
    z8: number;
    z6: number;
    z4: number;
    aca: Brush;
    ab8: Brush;
    z5: number;
    aac: number;
    ab9: Brush;
    aaa: number;
    acg: Visibility;
    acf: Visibility;
    zv: boolean;
    protected yg(a: Series, b: boolean): void;
    protected yi(a: Frame, b: SeriesView): void;
    protected w9(a: Series): boolean;
    qk(): void;
    protected wt(): AnnotationAppearanceMode;
    protected xg(): number;
    protected xj(): number;
    protected xi(): number;
    protected zf(): DoubleCollection;
    protected zg(): DoubleCollection;
    private acb;
    private acc;
    private aa8;
    private zy;
    private zx;
    protected aa9(a: CrosshairLayerFrame, b: boolean): void;
    private aa7;
    protected yl(a: Frame, b: SeriesView): void;
    protected f8(): boolean;
    protected q4(a: any, b: string, c: any, d: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class CrosshairLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: CrosshairLayer);
    protected b7: CrosshairLayer;
    b8: Pool$1<Path>;
    protected b9: List$1<Path>;
    au(): void;
    private ch;
    private ca;
    private cc;
    private cb;
    cd(a: Path, b: number, c: number, d: number): void;
    ce(a: Brush, b: number): Brush;
    cg(a: Brush, b: number): Brush;
    cf(a: Brush, b: number): Brush;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
}
